For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Us
API ReferenceDeveloper Guides
API ReferenceDeveloper Guides
    • Getting Started
  • Customer Data API
      • POSTAdd screening check information
      • POSTAdd SAR information
      • POSTAdd customer risk assessment information
      • POSTAdd person information
      • POSTAdd onboarding flow information
      • POSTAdd IDV information
      • POSTAdd company information
      • POSTAdd account status information
      • POSTAdd access information
  • Transaction Data API
Contact Us
LogoLogo
Customer Data APIBusiness

Add company information

POST
https://api.cable.tech/v1/business/company_info
POST
/v1/business/company_info
$curl -X POST https://api.cable.tech/v1/business/company_info \
> -H "x-api-key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "id": "comp-987654321",
> "timestamp": "2024-01-15T09:30:00Z",
> "is_test_company": false,
> "data": {}
> }
>]'
200Successful
1{
2 "success": true
3}
Business endpoint for adding new company information
Was this page helpful?
Previous

Add account status information

Next
Built with

Authentication

x-api-keystring
API Key authentication via header

Request

Request body for adding information about companies
idstringRequired>=1 character

Unique external identifier of the company entity, ID stored in your database / back-office

timestampdatetimeRequired
Original timestamp relating to when this company's information was received
is_test_companybooleanRequiredDefaults to false
If the company is a test company, this should be set to true
dataobjectRequired
parentobjectOptional

Response

Operation success
successbooleanDefaults to true
You probably did something wrong if you set this to false